Bug 860971 - There should be a comma between "kvmclock" and "kvm_pv_eoi" in qemu-kvm cmd generated by libvirt
There should be a comma between "kvmclock" and "kvm_pv_eoi" in qemu-kvm cmd ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 04:42 EDT by hongming
Modified: 2013-02-21 02:25 EST (History)
6 users (show)

See Also:
Fixed In Version: libvirt-0.10.2-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:25:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-09-27 04:42:38 EDT
Description of problem:
If the "eoi" and "timer=kvmclock" attributes are set in domain'xml at the same time, their generated qemu-kvm cmd is "......qemu64,-kvmclockqemu64,-kvm_pv_eoi -enable-kvm......". There should be a comma between "qemu,kvmclock" and "qemu,kvm_pv_eoi".



Version-Release number of selected component (if applicable):
libvirt-0.10.2-1.el6.x86_64
qemu-kvm-0.12.1.2-2.310.el6.x86_64

How reproducible:
100% 

Steps to Reproduce:
1.# virsh dumpxml newrhel6
<domain type='kvm' id='29'>
  <name>newrhel6</name>
......
  <features>
    <acpi/>
    <apic eoi='off'/>
    <pae/>
  </features>
  <clock offset='localtime'>
    <timer name='kvmclock' present='no'/>
  </clock>
.....
</domain>

 
# ps -ef|grep qemu 
qemu     27940     1  4 14:20 ?        00:00:15 /usr/libexec/qemu-kvm -name newrhel6 -S -M rhel6.3.0 -cpu qemu64,-kvmclockqemu64,-kvm_pv_eoi -enable-kvm -m 1024 -smp 1, ......


Actual results:
qemu-kvm cmd is "......qemu64,-kvmclockqemu64,-kvm_pv_eoi -enable-kvm......"

Expected results:
qemu-kvm cmd is "......qemu64,-kvmclock,qemu64,-kvm_pv_eoi -enable-kvm......"

Additional info:
Comment 2 Martin Kletzander 2012-10-08 14:23:29 EDT
Thanks for finding this out, moving to POST now based on this commit:

commit 5d692cc7143084d841de79888fc249040ff40061
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Mon Oct 8 18:51:57 2012 +0200

    fix kvm_pv_eoi with kvmclock
Comment 5 yuping zhang 2012-10-16 03:56:05 EDT
Verified this issue with:
libvirt-0.10.2-3.el6.x86_64
qemu-kvm-0.12.1.2-2.316.el6.x86_64
kernel-2.6.32-287.el6.x86_64
libssh2-1.4.2-1.el6.x86_64

# virsh dumpxml RHEL6.4
...
  <features>
    <acpi/>
    <apic eoi='off'/>
    <pae/>
  </features>
  <clock offset='localtime'>
    <timer name='kvmclock' present='no'/>
  </clock>
...
# ps -ef | grep RHEL6.4
qemu      5794     1 28 22:16 ?        00:00:25 /usr/libexec/qemu-kvm -name RHEL6.4 -S -M rhel5.4.0 -cpu qemu64,-kvmclock,-kvm_pv_eoi -enable-kvm -m 1024 
....

In guest,run:
#dmesg | grep kvm-clock

Nothing output.
So change the but status to VERIFIED.
Comment 6 errata-xmlrpc 2013-02-21 02:25:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.